Change your hosting account name

Give your hosting account a custom name, making it easier to identify if you have multiple services. This is useful for organizing your services and quickly seeing which account belongs to which website.

Web Hosting Services Hosting Accounts

Context

Where to get IDs / values

Path Parameters

accountId integer · min: 1 required Example: 20000

Unique account identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
customName string required · Example: Friskfekvens and Handa

Responses

200
data object required
data.accountId string required · Example: 20000
data.customName string required · Example: Friskfekvens and Handa
data.message string required · Example: Hosting account name updated

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

422
code string required · Example: VALIDATION_ERROR

Machine-readable error code.

details string required · Example: Custom name contains invalid characters

Optional validation details (field-level errors).

error string required · Example: Unprocessable Entity

HTTP status title (e.g. 'Bad Request').

message string required · Example: Validation failed

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

PUT https://cloud.hostup.se/api/hosting-accounts/{accountId}/name
For AI assistants
cURL
curl -X PUT "https://cloud.hostup.se/api/hosting-accounts/20000/name" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "customName": "Friskfekvens and Handa"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "accountId": "20000",
    "customName": "Friskfekvens and Handa",
    "message": "Hosting account name updated"
  }
}
Request Body Example 1
{
  "customName": "Friskfekvens and Handa"
}